include::../description.adoc[]

include::../noncompliant.adoc[]

== Exceptions

When a block contains a comment, this block is not considered to be empty.

``++while++`` and unless loops are also exception to the rule.

----
while (order.processNext());  // Compliant
----

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
